.TH wxSingleChoiceDialog 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSingleChoiceDialog \- See external documentation: wxSingleChoiceDialog\&.
.SH DESCRIPTION
.LP
See external documentation: wxSingleChoiceDialog <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsinglechoicedialog\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxDialog 
.br
wxTopLevelWindow 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSingleChoiceDialog()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxSingleChoiceDialog()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsinglechoicedialog\&.html#wxsinglechoicedialogwxsinglechoicedialog>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Message::string(), Caption::string(), Choices::[[string()]]) -> wxSingleChoiceDialog()
.br
.RS
.LP
Equivalent to new(Parent, Message, Caption, Choices, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Message::string(), Caption::string(), Choices::[[string()]], Options::[Option]) -> wxSingleChoiceDialog()
.br
.RS
.TP
Types
Option = {style, integer()} | {pos, {X::integer(), Y::integer()}}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsinglechoicedialog\&.html#wxsinglechoicedialogwxsinglechoicedialog>\&.
.RE
.LP
.B
getSelection(This::wxSingleChoiceDialog()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsinglechoicedialog\&.html#wxsinglechoicedialoggetselection>\&.
.RE
.LP
.B
getStringSelection(This::wxSingleChoiceDialog()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsinglechoicedialog\&.html#wxsinglechoicedialoggetstringselection>\&.
.RE
.LP
.B
setSelection(This::wxSingleChoiceDialog(), Sel::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsinglechoicedialog\&.html#wxsinglechoicedialogsetselection>\&.
.RE
.LP
.B
destroy(This::wxSingleChoiceDialog()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
